# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

try:
    from ._models_py3 import BucketDefinition
    from ._models_py3 import BucketPatchDefinition
    from ._models_py3 import ClusterScopeSettings
    from ._models_py3 import ComplianceStatus
    from ._models_py3 import DependsOnDefinition
    from ._models_py3 import ErrorAdditionalInfo
    from ._models_py3 import ErrorDetail
    from ._models_py3 import ErrorResponse
    from ._models_py3 import Extension
    from ._models_py3 import ExtensionPropertiesAksAssignedIdentity
    from ._models_py3 import ExtensionStatus
    from ._models_py3 import ExtensionType
    from ._models_py3 import ExtensionTypeList
    from ._models_py3 import ExtensionVersionList
    from ._models_py3 import ExtensionVersionListVersionsItem
    from ._models_py3 import ExtensionsList
    from ._models_py3 import FluxConfiguration
    from ._models_py3 import FluxConfigurationPatch
    from ._models_py3 import FluxConfigurationsList
    from ._models_py3 import GitRepositoryDefinition
    from ._models_py3 import GitRepositoryPatchDefinition
    from ._models_py3 import HelmOperatorProperties
    from ._models_py3 import HelmReleasePropertiesDefinition
    from ._models_py3 import Identity
    from ._models_py3 import KustomizationDefinition
    from ._models_py3 import KustomizationPatchDefinition
    from ._models_py3 import ObjectReferenceDefinition
    from ._models_py3 import ObjectStatusConditionDefinition
    from ._models_py3 import ObjectStatusDefinition
    from ._models_py3 import OperationStatusList
    from ._models_py3 import OperationStatusResult
    from ._models_py3 import PatchExtension
    from ._models_py3 import ProxyResource
    from ._models_py3 import RepositoryRefDefinition
    from ._models_py3 import Resource
    from ._models_py3 import ResourceProviderOperation
    from ._models_py3 import ResourceProviderOperationDisplay
    from ._models_py3 import ResourceProviderOperationList
    from ._models_py3 import Scope
    from ._models_py3 import ScopeCluster
    from ._models_py3 import ScopeNamespace
    from ._models_py3 import SourceControlConfiguration
    from ._models_py3 import SourceControlConfigurationList
    from ._models_py3 import SupportedScopes
    from ._models_py3 import SystemData
except (SyntaxError, ImportError):
    from ._models import BucketDefinition  # type: ignore
    from ._models import BucketPatchDefinition  # type: ignore
    from ._models import ClusterScopeSettings  # type: ignore
    from ._models import ComplianceStatus  # type: ignore
    from ._models import DependsOnDefinition  # type: ignore
    from ._models import ErrorAdditionalInfo  # type: ignore
    from ._models import ErrorDetail  # type: ignore
    from ._models import ErrorResponse  # type: ignore
    from ._models import Extension  # type: ignore
    from ._models import ExtensionPropertiesAksAssignedIdentity  # type: ignore
    from ._models import ExtensionStatus  # type: ignore
    from ._models import ExtensionType  # type: ignore
    from ._models import ExtensionTypeList  # type: ignore
    from ._models import ExtensionVersionList  # type: ignore
    from ._models import ExtensionVersionListVersionsItem  # type: ignore
    from ._models import ExtensionsList  # type: ignore
    from ._models import FluxConfiguration  # type: ignore
    from ._models import FluxConfigurationPatch  # type: ignore
    from ._models import FluxConfigurationsList  # type: ignore
    from ._models import GitRepositoryDefinition  # type: ignore
    from ._models import GitRepositoryPatchDefinition  # type: ignore
    from ._models import HelmOperatorProperties  # type: ignore
    from ._models import HelmReleasePropertiesDefinition  # type: ignore
    from ._models import Identity  # type: ignore
    from ._models import KustomizationDefinition  # type: ignore
    from ._models import KustomizationPatchDefinition  # type: ignore
    from ._models import ObjectReferenceDefinition  # type: ignore
    from ._models import ObjectStatusConditionDefinition  # type: ignore
    from ._models import ObjectStatusDefinition  # type: ignore
    from ._models import OperationStatusList  # type: ignore
    from ._models import OperationStatusResult  # type: ignore
    from ._models import PatchExtension  # type: ignore
    from ._models import ProxyResource  # type: ignore
    from ._models import RepositoryRefDefinition  # type: ignore
    from ._models import Resource  # type: ignore
    from ._models import ResourceProviderOperation  # type: ignore
    from ._models import ResourceProviderOperationDisplay  # type: ignore
    from ._models import ResourceProviderOperationList  # type: ignore
    from ._models import Scope  # type: ignore
    from ._models import ScopeCluster  # type: ignore
    from ._models import ScopeNamespace  # type: ignore
    from ._models import SourceControlConfiguration  # type: ignore
    from ._models import SourceControlConfigurationList  # type: ignore
    from ._models import SupportedScopes  # type: ignore
    from ._models import SystemData  # type: ignore

from ._source_control_configuration_client_enums import (
    ClusterTypes,
    ComplianceStateType,
    CreatedByType,
    Enum0,
    Enum1,
    FluxComplianceState,
    KustomizationValidationType,
    LevelType,
    MessageLevelType,
    OperatorScopeType,
    OperatorType,
    ProvisioningState,
    ProvisioningStateType,
    ScopeType,
    SourceKindType,
)

__all__ = [
    'BucketDefinition',
    'BucketPatchDefinition',
    'ClusterScopeSettings',
    'ComplianceStatus',
    'DependsOnDefinition',
    'ErrorAdditionalInfo',
    'ErrorDetail',
    'ErrorResponse',
    'Extension',
    'ExtensionPropertiesAksAssignedIdentity',
    'ExtensionStatus',
    'ExtensionType',
    'ExtensionTypeList',
    'ExtensionVersionList',
    'ExtensionVersionListVersionsItem',
    'ExtensionsList',
    'FluxConfiguration',
    'FluxConfigurationPatch',
    'FluxConfigurationsList',
    'GitRepositoryDefinition',
    'GitRepositoryPatchDefinition',
    'HelmOperatorProperties',
    'HelmReleasePropertiesDefinition',
    'Identity',
    'KustomizationDefinition',
    'KustomizationPatchDefinition',
    'ObjectReferenceDefinition',
    'ObjectStatusConditionDefinition',
    'ObjectStatusDefinition',
    'OperationStatusList',
    'OperationStatusResult',
    'PatchExtension',
    'ProxyResource',
    'RepositoryRefDefinition',
    'Resource',
    'ResourceProviderOperation',
    'ResourceProviderOperationDisplay',
    'ResourceProviderOperationList',
    'Scope',
    'ScopeCluster',
    'ScopeNamespace',
    'SourceControlConfiguration',
    'SourceControlConfigurationList',
    'SupportedScopes',
    'SystemData',
    'ClusterTypes',
    'ComplianceStateType',
    'CreatedByType',
    'Enum0',
    'Enum1',
    'FluxComplianceState',
    'KustomizationValidationType',
    'LevelType',
    'MessageLevelType',
    'OperatorScopeType',
    'OperatorType',
    'ProvisioningState',
    'ProvisioningStateType',
    'ScopeType',
    'SourceKindType',
]
